### Class

# AppStream Reference

#### Description

    class AppStream.Reference : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### as_reference_new

Creates a new `AsReference`.

#### Instance methods

###### as_reference_get_kind

Gets the reference kind.

since: 1.0.0

###### as_reference_get_registry_name

Gets the name of the registry this reference is for, if the reference is of type `AS_REFERENCE_KIND_REGISTRY`. Otherwise return `NULL`.

###### as_reference_get_value

Gets the value of this reference, e.g. a DOI if the reference kind is `AS_REFERENCE_KIND_DOI` or an URL for `AS_REFERENCE_KIND_CITATION_CFF`.

###### as_reference_set_kind

Sets the reference kind.

since: 1.0.0

###### as_reference_set_registry_name

Sets a name of a registry if this reference is of type `AS_REFERENCE_KIND_REGISTRY`.

###### as_reference_set_value

Sets a value for this reference.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamReferenceClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.